Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001439Anope Stable (1.8.x series)IRCD supportpublic2012-08-04 09:372012-08-06 04:30
Reporterallentovar4 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001439: /samode crash on inspircd
DescriptionAnope crashes when you use /samode to set a user mode on a services client on InspIRCd.
Steps To ReproduceUse /samode to set a mode on any services client.
/samode ChanServ +B (Or any other user mode or service)
Additional Information<Global> PANIC! buffer = :483AAAAAP MODE 3AXAAAAAL +B
<Global> Backtrace: Segmentation fault detected
<Global> Backtrace: report the following lines
<Global> Backtrace: Anope version 1.8.7 (3089) build 0000001, compiled Aug 3 2012 23:55:53 QM
<Global> Backtrace(0): ./services(do_backtrace+0x64) [0x807a734]
<Global> Backtrace(1): ./services(sighandler+0x19b) [0x807a95b]
<Global> Backtrace(2): linux-gate.so.1(__kernel_sigreturn+0) [0xb7769400]
<Global> Backtrace(3): ./services(finduser+0x1a) [0x8094c7a]
<Global> Backtrace(4): ./services(do_umode+0x24) [0x80952b4]
<Global> Backtrace(5): /home/allen/services/modules/runtime/inspircd20.so.zMYGnF(anope_event_mode+0x6c) [0xb775ecac]
<Global> Backtrace(6): ./services(process+0x1c0) [0x808eac0]
<Global> Backtrace(7): ./services(main+0x20d) [0x805754d]
<Global> Backtrace(8): /lib/libc.so.6(__libc_start_main+0xf5) [0xb7023605]
<Global> Backtrace(9): ./services() [0x8057869]
<Global> Backtrace: complete
<Global> Services terminating: Segmentation fault
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006240)
Adam (administrator)
2012-08-04 23:36

This should have been fixed 5 days ago in http://anope.git.sourceforge.net/git/gitweb.cgi?p=anope/anope;a=commitdiff;h=d0e5a188489c8e760bd0997a9fbcdfd64907eda8 [^]
(0006239)
chaz (administrator)
2012-08-04 10:47

Thx for that, their wiki is showing it incorrectly ;)

Thanks for the above also, I'll get around to testing this.
(0006237)
allentovar4 (reporter)
2012-08-04 10:04
edited on: 2012-08-04 10:05

Running InspIRCd 2.0.8. As of this version the target can be a channel or a user according to the helpop system:

* /SAMODE [target] +/-[modes] {[parameters for modes]}

-OperServ- Current Module list:
-OperServ- Module: cs_appendtopic [1.8.7 (3089)] [Supported]
-OperServ- Module: cs_enforce [1.8.7 (3089)] [Supported]
-OperServ- Module: enc_sha1 [1.8.7 (3089)] [Encryption]
-OperServ- Module: hs_request [1.8.7 (3089)] [Supported]
-OperServ- Module: inspircd20 [1.8.7 (3089)] [Protocol]
-OperServ- Module: ns_maxemail [1.8.7 (3089)] [Supported]
-OperServ- Module: os_info [1.8.7 (3089)] [Supported]
-OperServ- 7 Modules loaded.

The target can be ANY services client such as NickServ or ChanServ and includes bots created by BotServ also any user mode that is set to that target for example umode +B or +x I have not tested removing any user modes however.

Example Syntax: /samode NickServ +B

(0006236)
chaz (administrator)
2012-08-04 09:51

Hello,

My understanding from the InspIRCd documentation is that SAMODE is performed against users on a channel, your syntax doesn't show a channel parameter, please can you confirm your syntax just to confirm how to reproduce.

Additionally, please can you confirm any modules you're using on the Anope side?

I'll put together a test network shortly to reproduce, which version of InspIRCd 2.0 are you using?

Thanks,

Charles.

- Issue History
Date Modified Username Field Change
2012-08-04 09:37 allentovar4 New Issue
2012-08-04 09:51 chaz Note Added: 0006236
2012-08-04 10:04 allentovar4 Note Added: 0006237
2012-08-04 10:05 allentovar4 Note Added: 0006238
2012-08-04 10:05 allentovar4 Note Deleted: 0006238
2012-08-04 10:05 allentovar4 Note Edited: 0006237 View Revisions
2012-08-04 10:47 chaz Note Added: 0006239
2012-08-04 23:36 Adam Note Added: 0006240
2012-08-06 04:30 Adam Status new => resolved
2012-08-06 04:30 Adam Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker